Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008304TestLinkUser Interface Customizationpublic2018-06-20 08:162018-10-06 15:50
ReporterChuckNorrison 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version 
Summary0008304: theme_dir cant be set in custom_config.inc.php
DescriptionCause of new defines in config.inc.php, the theme_dir override in custom_config.inc.php does not work anymore.
Additional InformationBad defines in config.inc.php:

define('TL_THEME_BASE_DIR', $tlCfg->theme_dir);
define('TL_THEME_IMG_DIR', $tlCfg->theme_dir . 'images/');
define('TL_THEME_CSS_DIR', $tlCfg->theme_dir . 'css/');
define('TL_TESTLINK_CSS', TL_THEME_CSS_DIR . TL_CSS_MAIN);
define('TL_PRINT_CSS', TL_THEME_CSS_DIR . TL_CSS_PRINT);
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027619)
fman (administrator)
2018-06-20 20:17

unfortunately issue details are not clear enough, can you explain a little bit more in detail?

thanks
(0027634)
ChuckNorrison (reporter)
2018-06-25 08:02

We use the custom_config.inc.php file to override or set settings for our testlinks. After 1.9.17 make some defines in config.ing.php based on settings, override is not possible. In this case the override setting for $tlCfg->theme_dir is affected.

The use case is: custom logo
(0027741)
ChuckNorrison (reporter)
2018-07-30 11:47

this issue still happens

to make it more clearly... config.inc.php is original and a custom_config.inc.php was created with:

$tlCfg->theme_dir = 'gui/themes/mytheme/';

This will not work, cause theme_dir was already used in config.inc.php with

define('TL_THEME_BASE_DIR', $tlCfg->theme_dir);
define('TL_THEME_IMG_DIR', $tlCfg->theme_dir . 'images/');
define('TL_THEME_CSS_DIR', $tlCfg->theme_dir . 'css/');
define('TL_TESTLINK_CSS', TL_THEME_CSS_DIR . TL_CSS_MAIN);
define('TL_PRINT_CSS', TL_THEME_CSS_DIR . TL_CSS_PRINT);
(0027790)
fman (administrator)
2018-08-23 20:30

please give a look to https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/c5b54818f3d3595d4a1552d8f5189229916f0816 [^]

- Issue History
Date Modified Username Field Change
2018-06-20 08:16 ChuckNorrison New Issue
2018-06-20 20:17 fman Note Added: 0027619
2018-06-20 20:18 fman Status new => feedback
2018-06-25 08:02 ChuckNorrison Note Added: 0027634
2018-06-25 08:02 ChuckNorrison Status feedback => new
2018-07-30 11:47 ChuckNorrison Note Added: 0027741
2018-08-23 20:30 fman Note Added: 0027790
2018-08-23 20:30 fman Assigned To => fman
2018-08-23 20:30 fman Status new => feedback
2018-10-06 15:50 fman QA Team - Task Workflow Status => TBD
2018-10-06 15:50 fman Status feedback => closed
2018-10-06 15:50 fman Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker